getTargetList

Prev Next

Available in VPC

View the list of targets applied to a target group.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /vloadbalancer/v2/getTargetList

Request headers

For information about the headers common to all Load Balancer APIs, see Load Balancer request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code for the target group whose target list you want to view
  • First Region of the getRegionList search result (default)
  • See getRegionList
targetGroupNo String Required Target group number
responseFormatType String Optional Response result format
  • xml (default) | json

Request example

The following is a sample request.

curl --location 'https://ncloud.apigw.ntruss.com/vloadbalancer/v2/getTargetList?regionCode=KR&targetGroupNo=*******' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

See TargetList for the response body.

Response status codes

For information about the HTTP status codes common to all Load Balancer APIs, see Load Balancer response status codes.

Response example

The following is a sample response.

<getTargetListResponse>
    <requestId>450667dc-6b9b-449f-ac7a-931f318a528a</requestId>
    <returnCode>0</returnCode>
    <returnMessage>success</returnMessage>
    <totalRows>1</totalRows>
    <targetList>
        <target>
            <targetNo>********</targetNo>
            <targetName>YOUR_TARGET</targetName>
            <targetIp>***.***.*.*</targetIp>
            <healthCheckStatus>
                <code>DOWN</code>
                <codeName>Health DOWN state</codeName>
            </healthCheckStatus>
            <healthCheckResponse></healthCheckResponse>
        </target>
    </targetList>
</getTargetListResponse>